{
  "description": "DaemonSetSpec is the specification of a daemon set.",
  "properties": {
    "minReadySeconds": {
      "description": "The minimum number of seconds for which a newly created DaemonSet pod should be ready without any of its container crashing, for it to be considered available. Defaults to 0 (pod will be considered available as soon as it is ready).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "revisionHistoryLimit": {
      "description": "The number of old history to retain to allow rollback. This is a pointer to distinguish between explicit zero and not specified. Defaults to 10.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "selector": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.LabelSelector",
      "description": "A label query over pods that are managed by the daemon set. Must match in order to be controlled. It must match the pod template's labels. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/#label-selectors"
    },
    "template": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.PodTemplateSpec",
      "description": "An object that describes the pod that will be created. The DaemonSet will create exactly one copy of this pod on every node that matches the template's node selector (or on every node if no node selector is specified). More info: https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller#pod-template"
    },
    "updateStrategy": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.apps.v1.DaemonSetUpdateStrategy",
      "description": "An update strategy to replace existing DaemonSet pods with new pods."
    }
  },
  "required": [
    "selector",
    "template"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/daemonsetspec/apps/v1"
}